#empty-debuginfo-package
%define debug_package %{nil}

%define ver_fpgui 1.2
%define ver_fpc 2.6.4

Summary: Widget set to develop cross-platform GUI software using fpc
Name: fpgui
Version: %{ver_fpgui}
Release: %mkrel 1
License: LGPLv2 with static linking exception
Group: Development/Tools
Url: http://fpgui.sourceforge.net
Source0: http://downloads.sourceforge.net/%{name}/%{name}_source-%{ver_fpgui}.tar.xz
Requires: fpc = %{ver_fpc}
Requires: pkgconfig(x11)
Requires: pkgconfig(fontconfig)
Requires: pkgconfig(xft)
BuildRequires: fpc = %{ver_fpc}

%description
This is a widget set to quickly develop cross-platform GUI software using
the Free Pascal Compiler. It doesn't rely on large third party libraries -
which makes fpGUI applications easy to deploy.

%prep
%setup -q -n %{name}-%{ver_fpgui}
cp -rf ./prototypes/mdi/*.pas ./src/corelib/
sed -i -e "s|Agg2D;|fpg_mdi,Agg2D;|g" ./src/corelib/x11/fpgui_toolkit.pas

%build
cd src
./build.sh
#Bug https://sourceforge.net/p/fpgui/bugs/13
#cd ../docs
#./build_html.sh

%install
_unittgt=`fpc -iSP`-`fpc -iSO`
cd ./lib/$_unittgt
mkdir -p %{buildroot}/lib/fpc/%{ver_fpc}/units/$_unittgt/fpgui
cp -f ./* %{buildroot}/lib/fpc/%{ver_fpc}/units/$_unittgt/fpgui/
#Bug https://sourceforge.net/p/fpgui/bugs/13
#cd ../../docs
#mkdir -p %{buildroot}%{_docdir}/%{name}
#cp -r html %{buildroot}%{_docdir}/%{name}
#cd ..

%files
%doc COPYING.modifiedLGPL COPYING.txt
/lib/fpc/*/units/*/%{name}


%changelog
* Sat Sep 13 2014 pinoc <vogtpet at gmail.com> 1.2-1pclos2014
- imported package

